> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateStateW4Information

> The `updateStateW4Information` API is used to modify previously submitted state-specific tax withholding information for employees.



## OpenAPI

````yaml put /userOnboarding/updateStateW4Information
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /userOnboarding/updateStateW4Information:
    put:
      tags: []
      summary: updateStateW4Information
      description: >-
        The `updateStateW4Information` API is used to modify previously
        submitted state-specific tax withholding information for employees.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateStateW4Information
                userId:
                  type: string
                stateW4Information:
                  type: object
                  properties:
                    Filing Status:
                      type: string
                    Withholding Allowance:
                      type: string
                    Additional Withholding:
                      type: string
                    NYC Withholding Allowance:
                      type: string
                    NYC Additional Withholding:
                      type: string
              required:
                - method
                - userId
                - stateW4Information
            example:
              method: updateStateW4Information
              userId: A31A0E84-3643-405A-B0E4-D229D0A194FB
              stateW4Information:
                Filing Status: Married
                Withholding Allowance: '11'
                Additional Withholding: '10.10'
                NYC Withholding Allowance: '20'
                NYC Additional Withholding: '14.00'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  stateW4Information:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                required:
                  - stateW4Information
              examples:
                '1':
                  summary: Success
                  value:
                    stateW4Information:
                      status: Ready
                      message: >-
                        The StateW4Information for Steve  Jobs has been saved
                        successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: EmployeeId is mandatory and cannot be empty.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````